Summary: Tracks runtime library calls for dynamically linked executables
Name: ltrace
Version: 0.3.32
Release: 1m
URL: http://packages.debian.org/unstable/utils/ltrace.html
Source: http://ftp.debian.org/debian/pool/main/l/ltrace/ltrace_%{version}.tar.gz
NoSource: 0
# XXX this patch doesn't work yet
Patch0: ltrace-0.3.8.sparc.patch
License: GPL
Group: Development/Debuggers
ExclusiveArch: %{ix86} sparc
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
ltrace is a debugging program which runs a specified command until it
exits.  While the command is executing, ltrace intercepts and records
the dynamic library calls which are called by
the executed process and the signals received by that process.
It can also intercept and print the system calls executed by the program.

The program to be traced need not be recompiled for this, so you can
use it on binaries for which you don't have the source handy.

You should install ltrace if you need a sysadmin tool for tracking the
execution of processes.

%prep
%setup -q

# XXX this patch doesn't work yet
#%patch0 -p1 -b .sparc

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall
rm -rf %{buildroot}/usr/doc

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README TODO BUGS debian/changelog
%{_bindir}/ltrace
%{_mandir}/man1/ltrace.1*
%config(noreplace) /etc/ltrace.conf

%ChangeLog
* Tue May 18 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.3.32-1m)
- verup

* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (0.3.31-2m)
- revised spec for enabling rpm 4.2.

* Sat Dec  27 2003 mutecat <mutecat@momonga-linux.org>
- (0.3.31-1m)
- update to 0.3.31
- config noreplace

* Tue Apr  2 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.3.26-2k)

* Mon Mar  4 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.3.23-2k)
- fix a broken symlink of ChangeLog

* Mon Feb 18 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.3.16-2k)
- update to 0.3.16

* Sat Dec  2 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (0.3.10-6k)
- added configure.mandir.enable.patch for compatibility

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.


* Thu Feb 17 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- Kondara Adaptations.

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description

* Fri Jan  7 2000 Jeff Johnson <jbj@redhat.com>
- update to 0.3.10.
- include (but don't apply) sparc patch from Jakub Jellinek.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Mar 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 0.3.6.

* Mon Sep 21 1998 Preston Brown <pbrown@redhat.com>
- upgraded to 0.3.4
